summaryrefslogtreecommitdiff
path: root/dev-python/pyaudio
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/pyaudio
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/pyaudio')
-rw-r--r--dev-python/pyaudio/Manifest1
-rw-r--r--dev-python/pyaudio/metadata.xml17
-rw-r--r--dev-python/pyaudio/pyaudio-0.2.14-r1.ebuild38
-rw-r--r--dev-python/pyaudio/pyaudio-0.2.14.ebuild38
4 files changed, 94 insertions, 0 deletions
diff --git a/dev-python/pyaudio/Manifest b/dev-python/pyaudio/Manifest
new file mode 100644
index 000000000000..98aa2defb419
--- /dev/null
+++ b/dev-python/pyaudio/Manifest
@@ -0,0 +1 @@
+DIST PyAudio-0.2.14.tar.gz 47066 BLAKE2B 1ff892b922c3a5a1f56da8fbc6d4bdc59b84b8fe80f58f8ee068d79691c0b2d9d241af9ff14ff2d0cda10db44c3f3c637081091bf5d9246ab677430b8f3b1b49 SHA512 2133db0968edcb0d82c6c1922f842d045a32c77998cfae8b38a041c67650cfacf9f6354c8a252db1b5148f73d229940b4c27064b400d2de7ab7e9370f73b8b95
diff --git a/dev-python/pyaudio/metadata.xml b/dev-python/pyaudio/metadata.xml
new file mode 100644
index 000000000000..208058a3760c
--- /dev/null
+++ b/dev-python/pyaudio/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>gentoo.2019@r123.de</email>
+ <name>Robert Siebeck</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <longdescription lang="en">
+ PyAudio provides Python bindings for PortAudio (<pkg>media-libs/portaudio</pkg>),
+ the cross-platform audio I/O library.
+ </longdescription>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/pyaudio/pyaudio-0.2.14-r1.ebuild b/dev-python/pyaudio/pyaudio-0.2.14-r1.ebuild
new file mode 100644
index 000000000000..c6620c1da462
--- /dev/null
+++ b/dev-python/pyaudio/pyaudio-0.2.14-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+PYPI_NO_NORMALIZE=1
+PYPI_PN="PyAudio"
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517="setuptools"
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for PortAudio"
+HOMEPAGE="https://people.csail.mit.edu/hubert/pyaudio/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+# Tests work if you have the correct HW device(s) to test.
+RESTRICT="test"
+
+RDEPEND="media-libs/portaudio"
+DEPEND="${RDEPEND}"
+BDEPEND="test? ( dev-python/numpy[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx sphinx
+distutils_enable_tests unittest
+
+python_test() {
+ elog "These tests require an OS loopback sound device that forwards audio"
+ elog "output, generated by PyAudio for playback, and forwards it to an input"
+ elog "device, which PyAudio can record and verify against a test signal."
+
+ cd tests || die
+ # pyaudio_tests have very complicated runtime requirements, therefore skipping them.
+ "${EPYTHON}" -m unittest error_tests -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/pyaudio/pyaudio-0.2.14.ebuild b/dev-python/pyaudio/pyaudio-0.2.14.ebuild
new file mode 100644
index 000000000000..1177733f9cc8
--- /dev/null
+++ b/dev-python/pyaudio/pyaudio-0.2.14.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+PYPI_NO_NORMALIZE=1
+PYPI_PN="PyAudio"
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517="setuptools"
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for PortAudio"
+HOMEPAGE="https://people.csail.mit.edu/hubert/pyaudio/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+# Tests work if you have the correct HW device(s) to test.
+RESTRICT="test"
+
+RDEPEND="media-libs/portaudio"
+DEPEND="${RDEPEND}"
+BDEPEND="test? ( dev-python/numpy[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx sphinx
+distutils_enable_tests unittest
+
+python_test() {
+ elog "These tests require an OS loopback sound device that forwards audio"
+ elog "output, generated by PyAudio for playback, and forwards it to an input"
+ elog "device, which PyAudio can record and verify against a test signal."
+
+ cd tests || die
+ # pyaudio_tests have very complicated runtime requirements, therefore skipping them.
+ "${EPYTHON}" -m unittest error_tests -v || die "Tests fail with ${EPYTHON}"
+}